Bug 1862918 - [v2v] User should only select SRIOV network when importin vm with SRIOV network
Summary: [v2v] User should only select SRIOV network when importin vm with SRIOV network
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Filip Krepinsky
QA Contact: Igor Braginsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-03 08:32 UTC by Yaacov Zamir
Modified: 2020-09-22 07:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
istein: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-v2v-conversion_host pull 82 None closed Provide whether network is sriov 2020-09-22 07:29:18 UTC
Github openshift console pull 6495 None closed Bug 1862918: add support for import SRIOV networks from oVirt 2020-09-22 07:29:18 UTC

Description Yaacov Zamir 2020-08-03 08:32:53 UTC
Description of problem:
When a user is willing to import a vm with SROIV network enabled we need to make sure to limit target networks only to SROIVNetworks.

JIRA Ref: https://issues.redhat.com/browse/CNV-5821

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Yaacov Zamir 2020-08-03 08:35:16 UTC
@Ilanit FYI

Comment 2 Filip Krepinsky 2020-08-10 15:57:07 UTC
we need a support from backend (kubevirt-vmware) to implement this feature. @Piotr could you take a look at supplying the network interface type?

Comment 3 Piotr Kliczewski 2020-08-10 16:56:31 UTC
@Filip sure, will work on it tomorrow.

Comment 4 Filip Krepinsky 2020-08-10 17:20:01 UTC
Thanks

Comment 5 Filip Krepinsky 2020-08-11 10:39:32 UTC
the fix was merged https://github.com/ManageIQ/manageiq-v2v-conversion_host/pull/82 and @Piotr released a new test image quay.io/pkliczewski/kubevirt-vmware:v2.0.0-6


Note You need to log in before you can comment on or make changes to this bug.